Vector::BLF::ObjectHeader2(3)

NAME
Vector::BLF::ObjectHeader2 - Object header.

SYNOPSIS

#include <ObjectHeader2.h>

Inherits Vector::BLF::ObjectHeaderBase.

Inherited by Vector::BLF::Most150AllocTab, Vector::BLF::Most150Message, Vector::BLF::Most150MessageFragment, Vector::BLF::Most150Pkt, Vector::BLF::Most150PktFragment, Vector::BLF::Most50Message, Vector::BLF::Most50Pkt, Vector::BLF::MostAllocTab, Vector::BLF::MostDataLost, Vector::BLF::MostEcl, Vector::BLF::MostEthernetPkt, Vector::BLF::MostEthernetPktFragment, Vector::BLF::MostGenReg, Vector::BLF::MostHwMode, Vector::BLF::MostNetState, Vector::BLF::MostPkt2, Vector::BLF::MostReg, Vector::BLF::MostStatisticEx, Vector::BLF::MostStress, Vector::BLF::MostSystemEvent, Vector::BLF::MostTrigger, and Vector::BLF::MostTxLight.

  Public Types
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

  Public Member Functions
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

Object header. Object header. Version 2.

Member Enumeration Documentation

  enum Vector::BLF::ObjectHeader2::ObjectFlags : uint32_t
enumeration for objectFlags

Enumerator

TimeTenMics
    10 micro second timestamp Object time stamp is saved as multiple of ten microseconds. (BL_OBJ_FLAG_TIME_TEN_MICS)

TimeOneNans
    1 nano second timestamp Object time stamp is saved in nanoseconds. (BL_OBJ_FLAG_TIME_ONE_NANS)

  enum Vector::BLF::ObjectHeader2::TimeStampStatus : uint8_t
enumeration for timeStampStatus

Enumerator

Orig
    1: valid orig. timestamp Determines whether original timestamp member is valid (1) or not (0).

SwHw
    1: sw generated ts; 0: hw Timestamp is generated by software (1) or by hardware (0).

User
    protocol specific meaning This bit has protocol specific meaning.

Member Function Documentation

  uint16_t Vector::BLF::ObjectHeader2::calculateHeaderSize () const [override], [virtual]
Calculates the headerSize

Returns
    header size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  uint32_t Vector::BLF::ObjectHeader2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::ObjectHeader2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::ObjectHeader2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::ObjectHeader2::objectFlags {ObjectFlags::TimeOneNans}

object flags Unit of object timestamp.

  uint64_t Vector::BLF::ObjectHeader2::objectTimeStamp {0}

object timestamp Time stamp of this object in the unit specified in objectFlags.

  uint16_t Vector::BLF::ObjectHeader2::objectVersion {0}

object specific version Object specific version, has to be set to 0 unless stated otherwise in the description of a specific event.

Note
    can be set in event class constructor

  uint64_t Vector::BLF::ObjectHeader2::originalTimeStamp {0}

original object timestamp Original timestamp in the unit specified in objectFlags.

  uint8_t Vector::BLF::ObjectHeader2::reservedObjectHeader {0}
reserved

  uint8_t Vector::BLF::ObjectHeader2::timeStampStatus {}

time stamp status Bit field.

Author

Generated automatically by Doxygen for Vector BLF from the source code.